// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyDbDRG4hL_klWAGK-yfs0cI26FgCO1cesE',
    appId: '1:1067743766597:web:5ab675beb554bc0a20db2c',
    messagingSenderId: '1067743766597',
    projectId: 'updateapp-6359d',
    authDomain: 'updateapp-6359d.firebaseapp.com',
    storageBucket: 'updateapp-6359d.appspot.com',
    measurementId: 'G-55F14N005X',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyBvnim_4ELUNzGQ3wMriNwh-OvimY1cJO8',
    appId: '1:1067743766597:android:0742735cfacb175a20db2c',
    messagingSenderId: '1067743766597',
    projectId: 'updateapp-6359d',
    storageBucket: 'updateapp-6359d.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCbjUXHrLKzBcUWrkOOT7rGok4dO21alOY',
    appId: '1:1067743766597:ios:d1e3add9962f4b3420db2c',
    messagingSenderId: '1067743766597',
    projectId: 'updateapp-6359d',
    storageBucket: 'updateapp-6359d.appspot.com',
    iosClientId: '1067743766597-klvuprv15r92okcem7eh65u5amv3dk2l.apps.googleusercontent.com',
    iosBundleId: 'rabozzi.com.updateApp',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyCbjUXHrLKzBcUWrkOOT7rGok4dO21alOY',
    appId: '1:1067743766597:ios:392d02e838b5e6d120db2c',
    messagingSenderId: '1067743766597',
    projectId: 'updateapp-6359d',
    storageBucket: 'updateapp-6359d.appspot.com',
    iosClientId: '1067743766597-ujrrdjkb4696mdb38dtsjjeoa1laeri4.apps.googleusercontent.com',
    iosBundleId: 'com.example.updateApp.RunnerTests',
  );
}
